Bug 356161 - Deployment Guide - Security Level Configuration Tool shows wrong command
Deployment Guide - Security Level Configuration Tool shows wrong command
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Deployment_Guide (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan Lerch
Content Services Development
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2007-10-28 23:10 EDT by Dennis Kibbe
Modified: 2009-08-20 00:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: web
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-22 20:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fixes usage of -selinux & -securitylevel (18.25 KB, patch)
2007-12-11 23:33 EST, Daniel Crisman
no flags Details | Diff

  None (edit)
Description Dennis Kibbe 2007-10-28 23:10:39 EDT
Description of problem: 

Section "Security Level Configuration Tool" shows the wrong command.
The correct command should be "system-config-securitylevel" not
"system-config-selinux". The screenshot is correct.

Version-Release number of selected component (if applicable):

Red Hat Enterprise Linux 5.0.0 Deployment Guide (bug is in both online version
and PDF)

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Daniel Crisman 2007-12-11 23:33:39 EST
Created attachment 285001 [details]
Fixes usage of -selinux & -securitylevel

It's a slightly larger problem than that.  It looks like someone changed all
"system-config-securitylevel" to "system-config-selinux" (possibly as the fix
to bug 223810).  The attached patch changes all the bad -selinux back to
-securitylevel, expands the use of the RHSECLEVELTOOL entity, creates the
RHSELINUXTOOL entity to use with -selinux, and creates the section

The entity definition for RHSELINUXTOOL is a copy of RHNETWORKTOOL replacing
NETWORK with SELINUX and Network with &SEL;.

s2-sysconfig-selinuxtool is an updated copy of s2-sysconfig-sec-level.
Comment 4 Don Domingo 2007-12-12 20:14:08 EST
reassigning to mhideo, please push latest HTML and PDF build to live site to
resolve this bug.

thanks for the patch, Daniel (Comment #1).
Comment 5 Michael Hideo 2008-01-21 02:19:29 EST

Can you fix this for 5.0 and 5.1 ?

I've got your 5.2 but we're not quite ready for that yet.

- Mike

Note You need to log in before you can comment on or make changes to this bug.